axis-java-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "james raul (JIRA)" <j...@apache.org>
Subject [jira] [Created] (AXIS2-5596) Websphere 7 (WAS7) integration with axis2-1.6.2
Date Mon, 29 Jul 2013 19:53:48 GMT
james raul created AXIS2-5596:
---------------------------------

             Summary: Websphere 7 (WAS7) integration with axis2-1.6.2
                 Key: AXIS2-5596
                 URL: https://issues.apache.org/jira/browse/AXIS2-5596
             Project: Axis2
          Issue Type: Bug
         Environment: Windows&, Websphere 7.
            Reporter: james raul


I used apache axis2-1.6.2 to generate client stubs.But integration with WAS7 gives me lot
of errors.
I didnot use wsimport from WAS7. Not sure if that is mandatory.
I get:
1)ClassCastException: org.apache.axis2.handlers.addressing.AddressingInHandler incompatible
with org.apache.axis2.engine.Handler
.....
2)ClassCastException:org.apache.axis2.jaxws.dispatchers.GenericProviderDispatcher incompatible
with org.apache.axis2.engine.Handler
....
3)ClassCastException: com.ibm.ws.tx.jta.UserTransactionImpl incompatible with javax.transaction.UserTransaction.....

I have these axis related dependencies in my pom:

 <dependency>
		<groupId>org.apache.ws.commons.axiom</groupId>
		<artifactId>axiom-impl</artifactId>
		<version>1.2.14</version>
	</dependency> 

	<dependency>
		<groupId>org.apache.axis2</groupId>
		<artifactId>axis2</artifactId>
		<version>1.6.2</version>
		<scope>compile</scope>
	</dependency>

	<dependency>
		<groupId>axis</groupId>
		<artifactId>axis-wsdl4j</artifactId>
		<version>1.5.1</version>
	</dependency>
           
 		<dependency>
		   <groupId>org.apache.abdera</groupId>
		   <artifactId>abdera-bundle</artifactId>
		   <version>1.1.2</version>
		   	<exclusions>
					<exclusion>
					<groupId>org.apache.geronimo.specs</groupId>
					<artifactId>geronimo-activation_1.0.2_spec</artifactId>
					</exclusion>
			</exclusions>
		</dependency> 
            
	       
 		<dependency>
			<groupId>org.apache.axis2</groupId>
			<artifactId>axis2-adb</artifactId>
			<version>1.6.2</version>
			<exclusions>
					<exclusion>
					<groupId>org.apache.geronimo.specs</groupId>
					<artifactId>geronimo-jta_1.1_spec</artifactId>
					</exclusion>
			</exclusions>
		</dependency>  

	<dependency>
		<groupId>org.apache.neethi</groupId>
		<artifactId>neethi</artifactId>
		<version>3.0.2</version>
	</dependency>

	<dependency>
		<groupId>org.apache.axis2</groupId>
		<artifactId>axis2-transport-local</artifactId>
		<version>1.6.2</version>
	</dependency>

 	<dependency>
		<groupId>org.apache.axis2</groupId>
		<artifactId>axis2-transport-http</artifactId>
		<version>1.6.2</version>
	</dependency> 



	<dependency>
		<groupId>org.apache.ws.commons.schema</groupId>
		<artifactId>XmlSchema</artifactId>
		<version>1.4.7</version>
	</dependency>


	<dependency>
		<groupId>org.apache.ws.commons.axiom</groupId>
		<artifactId>axiom-api</artifactId>
		<version>1.2.14</version>
		<scope>compile</scope>
	</dependency>  

and other important dependencies:

                       <dependency>
				<groupId>stax</groupId>
				<artifactId>stax-api</artifactId>
				<version>1.0.1</version>
				<scope>runtime</scope>
			</dependency>

			<dependency>
				<groupId>javax.activation</groupId>
				<artifactId>activiation</artifactId>
				<version>1.1</version>
				<scope>provided</scope>
			</dependency>

			<dependency>
				<groupId>javax.annotation</groupId>
				<artifactId>jsr250-api</artifactId>
				<version>1.0</version>
				<scope>provided</scope>
			</dependency>

			<dependency>
				<groupId>javax.jms</groupId>
				<artifactId>jms</artifactId>
				<version>1.1</version>
				<scope>provided</scope>
			</dependency>

			<dependency>
				<groupId>javax.resource</groupId>
				<artifactId>connector</artifactId>
				<version>1.0</version>
				<scope>provided</scope>
			</dependency>

			<dependency>
				<groupId>javax.transaction</groupId>
				<artifactId>jta</artifactId>
				<version>1.1</version>
				<scope>provided</scope>
			</dependency>
	
            
			<dependency>
				<groupId>javax.xml.bind</groupId>
				<artifactId>jaxb-api</artifactId>
				<version>2.1</version>
				<scope>runtime</scope>
				<exclusions>
					<exclusion>
					<groupId>javax.xml.stream</groupId>
					<artifactId>stax-api</artifactId>
					</exclusion>
				</exclusions>
			</dependency>

			<dependency>
				<groupId>com.ibm</groupId>
				<artifactId>com.ibm.mq</artifactId>
				<version>6.0.2.5</version>
				<scope>provided</scope>
			</dependency>

			<dependency>
				<groupId>com.ibm</groupId>
				<artifactId>com.ibm.mqjms</artifactId>
				<version>6.0.2.5</version>
				<scope>provided</scope>
			</dependency>
			
                            <dependency>
				<groupId>com.ibm</groupId>
				<artifactId>com.ibm.mq.pcf</artifactId>
				<version>6.1</version>
				<scope>provided</scope>
			</dependency>

			<dependency>
				<groupId>com.ibm</groupId>
				<artifactId>dhbcore</artifactId>
				<version>6.0.2.5</version>
				<scope>provided</scope>
			</dependency>

		<dependency>
			<groupId>com.sun.jersey</groupId>
			<artifactId>jersey-json</artifactId>
			<version>1.1.5.1</version>
		</dependency>

		<dependency>
			<groupId>com.sun.jersey</groupId>
			<artifactId>jersey-server</artifactId>
			<version>1.1.5.1</version>
		</dependency>


--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators
For more information on JIRA, see: http://www.atlassian.com/software/jira

---------------------------------------------------------------------
To unsubscribe, e-mail: java-dev-unsubscribe@axis.apache.org
For additional commands, e-mail: java-dev-help@axis.apache.org


Mime
View raw message